import { Base, INotifyPropertyChanged, Type, IEnumerable, PropertyChangedEventArgs } from "igniteui-react-core";
import { IDataLegendTarget } from "igniteui-react-core";
import { IToolbarTarget } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { IDomainChartWidget } from "./IDomainChartWidget";
import { XamDataChart } from "./XamDataChart";
import { DataSeriesAdapterImplementation } from "igniteui-react-core";
import { DataSeriesType } from "igniteui-react-core";
import { IDataSeriesAdapterRule } from "igniteui-react-core";
import { MarkerType } from "./MarkerType";
import { IAnnotationLayerProxy } from "./IAnnotationLayerProxy";
import { Color } from "igniteui-react-core";
import { ToolCommandStateChanged } from "igniteui-react-core";
import { ToolCommand } from "igniteui-react-core";
import { DataToolTipLayerGroupingMode } from "igniteui-react-core";
import { DataTooltipGroupedPositionX } from "igniteui-react-core";
import { DataTooltipGroupedPositionY } from "igniteui-react-core";
import { DataAbbreviationMode } from "igniteui-react-core";
import { DataLegendValueMode } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { FontInfo } from "igniteui-react-core";
import { DataLegendHeaderDateMode } from "igniteui-react-core";
import { DataLegendHeaderTimeMode } from "igniteui-react-core";
import { DataLegendSummaryType } from "igniteui-react-core";
import { LegendItemBadgeShape } from "igniteui-react-core";
import { DataLegendUnitsMode } from "igniteui-react-core";
import { DataLegendLabelMode } from "igniteui-react-core";
import { DomainType } from "./DomainType";
import { ChartSortDescriptionCollection } from "./ChartSortDescriptionCollection";
import { FilterExpressionCollection } from "igniteui-react-core";
import { ChartSummaryDescriptionCollection } from "./ChartSummaryDescriptionCollection";
import { SeriesSelectionMode } from "./SeriesSelectionMode";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { ChartSelectedItemCollection } from "./ChartSelectedItemCollection";
import { FilterStringErrorsParsingEventArgs } from "./FilterStringErrorsParsingEventArgs";
import { BrushCollection } from "igniteui-react-core";
import { IChartLegend } from "igniteui-react-core";
import { SeriesHighlightedValuesDisplayMode } from "./SeriesHighlightedValuesDisplayMode";
import { Visibility } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { HorizontalAlignment } from "igniteui-react-core";
import { UnknownValuePlotting } from "igniteui-react-core";
import { SeriesOutlineMode } from "./SeriesOutlineMode";
import { MarkerOutlineMode } from "./MarkerOutlineMode";
import { MarkerFillMode } from "./MarkerFillMode";
import { MarkerTypeCollection } from "./MarkerTypeCollection";
import { MarkerAutomaticBehavior } from "./MarkerAutomaticBehavior";
import { TrendLineType } from "igniteui-react-core";
import { ComputedPlotAreaMarginMode } from "./ComputedPlotAreaMarginMode";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { SeriesHighlightingMode } from "./SeriesHighlightingMode";
import { SeriesHighlightingBehavior } from "./SeriesHighlightingBehavior";
import { LegendHighlightingMode } from "./LegendHighlightingMode";
import { LegendItemBadgeMode } from "igniteui-react-core";
import { ToolTipType } from "./ToolTipType";
import { CrosshairsDisplayMode } from "./CrosshairsDisplayMode";
import { CalloutCollisionMode } from "igniteui-react-core";
import { CalloutPlacementPositionsCollection } from "./CalloutPlacementPositionsCollection";
import { ValueModeCollection } from "./ValueModeCollection";
import { SeriesViewerScrollbarMode } from "./SeriesViewerScrollbarMode";
import { SeriesViewerHorizontalScrollbarPosition } from "./SeriesViewerHorizontalScrollbarPosition";
import { SeriesViewerVerticalScrollbarPosition } from "./SeriesViewerVerticalScrollbarPosition";
import { Series } from "./Series";
import { DataSeries } from "igniteui-react-core";
import { IDataLegend } from "igniteui-react-core";
import { ICommandStateChangedListener } from "igniteui-react-core";
import { Axis } from "./Axis";
import { ObservableColorCollection } from "igniteui-react-core";
import { DataSeriesMarker } from "igniteui-react-core";
import { IDataLegendSeries } from "igniteui-react-core";
import { ToolActionInfo } from "igniteui-react-core";
import { ToolCommandExecutionState } from "igniteui-react-core";
import { ICommandAvailabilityListener } from "igniteui-react-core";
import { ChartSeriesEventArgs } from "./ChartSeriesEventArgs";
import { DomainChartSeriesPointerEventArgs } from "./DomainChartSeriesPointerEventArgs";
import { CalloutStyleUpdatingEventArgs } from "./CalloutStyleUpdatingEventArgs";
import { CalloutRenderStyleUpdatingEventArgs } from "./CalloutRenderStyleUpdatingEventArgs";
import { SeriesViewerSelectedSeriesItemsChangedEventArgs } from "./SeriesViewerSelectedSeriesItemsChangedEventArgs";
/**
 * @hidden
 */
export declare abstract class DomainChart extends Base implements INotifyPropertyChanged, IDataLegendTarget, IToolbarTarget {
    static $t: Type;
    protected lo: any;
    provideContainer(a: any): void;
    destroy(): void;
    private uq;
    protected ur(): void;
    protected un(a: XamDataChart): void;
    protected uk(): void;
    protected ut(a: Series, b: number): void;
    protected vi(a: string, b: any, c: any): void;
    private ll;
    get tooltipTemplate(): any;
    set tooltipTemplate(a: any);
    private hm;
    get tooltipTemplates(): List$1<any>;
    set tooltipTemplates(a: List$1<any>);
    private ii;
    get jv(): number;
    set jv(a: number);
    private lk;
    private get toolTip();
    private set toolTip(value);
    private iw;
    get j8(): number;
    set j8(a: number);
    private ix;
    get j9(): number;
    set j9(a: number);
    private iy;
    get ka(): number;
    set ka(a: number);
    private iv;
    get j7(): number;
    set j7(a: number);
    private ir;
    get j3(): number;
    set j3(a: number);
    private it;
    get j5(): number;
    set j5(a: number);
    private is;
    get j4(): number;
    set j4(a: number);
    private iq;
    get j2(): number;
    set j2(a: number);
    private xa;
    get x6(): Brush;
    set x6(a: Brush);
    private xb;
    get x7(): Brush;
    set x7(a: Brush);
    private ie;
    protected get_js(): number;
    protected set_js(a: number): void;
    get js(): number;
    set js(a: number);
    private iz;
    get kb(): number;
    set kb(a: number);
    private ip;
    get j1(): number;
    set j1(a: number);
    private h0;
    get je(): number;
    set je(a: number);
    private k2;
    get le(): number;
    set le(a: number);
    private eq;
    get er(): (time: number) => number;
    set er(a: (time: number) => number);
    private ky;
    get lb(): number;
    set lb(a: number);
    private k0;
    get ld(): number;
    set ld(a: number);
    private kx;
    get la(): number;
    set la(a: number);
    protected uo(a: XamDataChart): void;
    protected uu(a: Series, b: number): void;
    protected ul(): void;
    private uv;
    kp: (arg1: HTMLElement) => any[];
    private we;
    private lq;
    private g9;
    private kq;
    protected vj(a: string, b: any, c: any): void;
    private ci;
    get cj(): IDomainChartWidget;
    set cj(a: IDomainChartWidget);
    private mm;
    get sj(): string;
    set sj(a: string);
    private mo;
    get su(): string;
    set su(a: string);
    private ee;
    get dataChart(): XamDataChart;
    set dataChart(a: XamDataChart);
    bj: DataSeriesAdapterImplementation;
    bk: DataSeriesAdapterImplementation;
    private fy;
    private fx;
    get isDetached(): boolean;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    constructor();
    protected up(): void;
    private wc;
    private wb;
    private wd;
    bl(a: boolean): DataSeriesAdapterImplementation;
    protected abstract get hs(): List$1<DataSeriesType>;
    protected abstract get hr(): List$1<IDataSeriesAdapterRule>;
    protected hq: List$1<MarkerType>;
    protected g4(a: DataSeriesType): boolean;
    notifyResized(): void;
    u4(): void;
    ua(): void;
    ui(): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected vr(a: string): void;
    protected abstract ub(a: (arg1: Axis) => void, b: boolean): void;
    protected uc(a: (arg1: Series) => void): void;
    protected ud(a: (arg1: Series, arg2: number) => void): void;
    protected ug(a: (arg1: Series) => void): void;
    protected uh(a: (arg1: Series, arg2: number) => void): void;
    protected ue(a: (arg1: Series) => void): void;
    protected uf(a: (arg1: Series, arg2: number) => void): void;
    v1(): void;
    protected u6(a: (arg1: XamDataChart) => void): void;
    protected u7(a: (arg1: XamDataChart) => void, b: boolean): void;
    protected u8(a: (arg1: XamDataChart) => void, b: boolean, c: string): void;
    protected g6(a: DataSeries): boolean;
    protected gw(): boolean;
    private static readonly l0;
    private k1;
    protected qe(a: DataSeries): string;
    private static lz;
    protected qf(a: DataSeries, b: DataSeriesType): string;
    protected abstract bi(a: DataSeries): DataSeriesType;
    protected abstract da(a: DataSeries, b: DataSeriesType): Series;
    qd(): string;
    private g2;
    private g1;
    protected vl(): void;
    protected t1(): void;
    private wf;
    private t0;
    private hi;
    protected hw(a: DataSeries): IEnumerable;
    protected hx(a: DataSeries): IEnumerable;
    private t9;
    private gs;
    protected v4(): void;
    protected dc(seriesType_: DataSeriesType): Series;
    private c4;
    private c6;
    private c8;
    private c9;
    private c5;
    private c7;
    private db;
    private cb;
    protected get cc(): IAnnotationLayerProxy;
    private get gr();
    protected gu(a: Series): boolean;
    private wg;
    protected gx(): boolean;
    protected gy(): boolean;
    protected get_gv(): boolean;
    protected get gv(): boolean;
    protected ho(a: string, b: boolean): List$1<Series>;
    protected t2(a: Series, b: boolean): void;
    protected wa(a: Series, b: Series, c: DataSeries): void;
    protected abstract v3(a: DataSeries): void;
    protected abstract v2(a: DataSeries): void;
    protected v6(): void;
    private v7;
    protected v8(a: Series): void;
    protected abstract v5(): void;
    private u9;
    private vc;
    protected t6(): void;
    protected t7(): void;
    protected xy(a: number): Brush;
    protected x1(a: number): Brush;
    protected xz(a: number): Brush;
    protected x0(a: number): Brush;
    protected ya(a: number): Color;
    protected fc(a: Color): ObservableColorCollection;
    protected ac(a: Color): BrushCollection;
    protected hl: List$1<Color>;
    protected get hn(): List$1<Color>;
    protected get_hd(): boolean;
    protected get hd(): boolean;
    lp(): any;
    ux(a: string, b: string): void;
    uy(a: string, b: string, c: Series): void;
    cy(a: DataSeriesMarker): MarkerType;
    private cf;
    private f0;
    attachDataLegend(a: IDataLegend): void;
    protected tz(a: IDataLegend): void;
    detachDataLegend(a: IDataLegend): void;
    protected t5(a: IDataLegend): void;
    getDataLegendSeries(): IDataLegendSeries[];
    protected p(): IDataLegendSeries[];
    wh(a: number): void;
    wi(a: number): void;
    v9(): void;
    protected get_g5(): boolean;
    get g5(): boolean;
    private cg;
    get ch(): IDomainChartToolbarProvider;
    private vg;
    getDesiredToolbarActions(): ToolActionInfo[];
    onToolCommandExecuting(a: ToolCommand): ToolCommandExecutionState;
    private _commandCompleted;
    get commandCompleted(): (arg1: ToolCommand) => void;
    set commandCompleted(a: (arg1: ToolCommand) => void);
    private _invalidateActions;
    get invalidateActions(): () => void;
    set invalidateActions(a: () => void);
    private uw;
    addCommandAvailabilityListener(a: ICommandAvailabilityListener): void;
    removeCommandAvailabilityListener(a: ICommandAvailabilityListener): void;
    private hj;
    addCommandStateChangedListener(a: ICommandStateChangedListener): void;
    removeCommandStateChangedListener(a: ICommandStateChangedListener): void;
    u3(source_: any, a: number, b: any, c: any): void;
    uz(source_: any): void;
    u0(source_: any, a: number, b: any): void;
    u1(source_: any, a: number, b: any): void;
    private b2;
    get b3(): DataToolTipLayerGroupingMode;
    set b3(a: DataToolTipLayerGroupingMode);
    private h5;
    get jj(): number;
    set jj(a: number);
    private h6;
    get jk(): number;
    set jk(a: number);
    private h3;
    get jh(): number;
    set jh(a: number);
    private h4;
    get ji(): number;
    set ji(a: number);
    private by;
    get bz(): DataTooltipGroupedPositionX;
    set bz(a: DataTooltipGroupedPositionX);
    private b0;
    get b1(): DataTooltipGroupedPositionY;
    set b1(a: DataTooltipGroupedPositionY);
    private fr;
    get gm(): boolean;
    set gm(a: boolean);
    static readonly ow: string;
    get m(): string[];
    set m(a: string[]);
    private e;
    get j(): string[];
    set j(a: string[]);
    private b;
    get l(): string[];
    set l(a: string[]);
    private d;
    get i(): string[];
    set i(a: string[]);
    private a;
    get bh(): DataAbbreviationMode;
    set bh(a: DataAbbreviationMode);
    private bg;
    get k7(): number;
    set k7(a: number);
    private ku;
    get k8(): number;
    set k8(a: number);
    private kv;
    get bx(): DataLegendValueMode;
    set bx(a: DataLegendValueMode);
    private bw;
    get po(): string;
    set po(a: string);
    private mc;
    get gn(): boolean;
    set gn(a: boolean);
    private fs;
    get pu(): string;
    set pu(a: string);
    private md;
    get n(): any[];
    set n(a: any[]);
    private f;
    get y0(): Thickness;
    set y0(a: Thickness);
    private yo;
    get go(): boolean;
    set go(a: boolean);
    private ft;
    get p3(): string;
    set p3(a: string);
    private me;
    get gp(): boolean;
    set gp(a: boolean);
    private fu;
    get y1(): Thickness;
    set y1(a: Thickness);
    private yp;
    get xu(): Brush;
    set xu(a: Brush);
    private w3;
    private e1;
    get fb(): FontInfo;
    set fb(a: FontInfo);
    get oe(): string;
    set oe(a: string);
    private l6;
    get k(): any[];
    set k(a: any[]);
    private c;
    get oa(): string;
    set oa(a: string);
    private l5;
    get bn(): DataLegendHeaderDateMode;
    set bn(a: DataLegendHeaderDateMode);
    private bm;
    get bp(): DataLegendHeaderTimeMode;
    set bp(a: DataLegendHeaderTimeMode);
    private bo;
    get oj(): string;
    set oj(a: string);
    private l7;
    get xm(): Brush;
    set xm(a: Brush);
    private wv;
    get yu(): Thickness;
    set yu(a: Thickness);
    private yi;
    get yt(): Thickness;
    set yt(a: Thickness);
    private yh;
    get gl(): boolean;
    set gl(a: boolean);
    private fq;
    private et;
    get e3(): FontInfo;
    set e3(a: FontInfo);
    get xl(): Brush;
    set xl(a: Brush);
    private wu;
    get ys(): Thickness;
    set ys(a: Thickness);
    private yg;
    get yr(): Thickness;
    set yr(a: Thickness);
    private yf;
    get gk(): boolean;
    set gk(a: boolean);
    private fp;
    private es;
    get e2(): FontInfo;
    set e2(a: FontInfo);
    get xp(): Brush;
    set xp(a: Brush);
    private wy;
    private ew;
    get e6(): FontInfo;
    set e6(a: FontInfo);
    get bt(): DataLegendSummaryType;
    set bt(a: DataLegendSummaryType);
    private bs;
    get o2(): string;
    set o2(a: string);
    private l9;
    get yx(): Thickness;
    set yx(a: Thickness);
    private yl;
    get yw(): Thickness;
    set yw(a: Thickness);
    private yk;
    get xr(): Brush;
    set xr(a: Brush);
    private w0;
    private ey;
    get e8(): FontInfo;
    set e8(a: FontInfo);
    get ox(): string;
    set ox(a: string);
    private l8;
    get xo(): Brush;
    set xo(a: Brush);
    private wx;
    private ev;
    get e5(): FontInfo;
    set e5(a: FontInfo);
    get o8(): string;
    set o8(a: string);
    private ma;
    get xq(): Brush;
    set xq(a: Brush);
    private wz;
    private ex;
    get e7(): FontInfo;
    set e7(a: FontInfo);
    get yq(): Thickness;
    set yq(a: Thickness);
    private ye;
    get cq(): LegendItemBadgeShape;
    set cq(a: LegendItemBadgeShape);
    private co;
    get bv(): DataLegendUnitsMode;
    set bv(a: DataLegendUnitsMode);
    private bu;
    get pi(): string;
    set pi(a: string);
    private mb;
    get xt(): Brush;
    set xt(a: Brush);
    private w2;
    get yz(): Thickness;
    set yz(a: Thickness);
    private yn;
    private e0;
    get fa(): FontInfo;
    set fa(a: FontInfo);
    get yy(): Thickness;
    set yy(a: Thickness);
    private ym;
    get xs(): Brush;
    set xs(a: Brush);
    private w1;
    private ez;
    get e9(): FontInfo;
    set e9(a: FontInfo);
    get br(): DataLegendLabelMode;
    set br(a: DataLegendLabelMode);
    private bq;
    get xn(): Brush;
    set xn(a: Brush);
    private ww;
    get yv(): Thickness;
    set yv(a: Thickness);
    private yj;
    private eu;
    get e4(): FontInfo;
    set e4(a: FontInfo);
    seriesAdded: (sender: any, args: ChartSeriesEventArgs) => void;
    vt(a: Series): void;
    seriesRemoved: (sender: any, args: ChartSeriesEventArgs) => void;
    vz(a: Series): void;
    seriesPointerEnter: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    vv(a: Series, b: any): void;
    seriesPointerLeave: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    vw(a: Series, b: any): void;
    seriesPointerMove: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    vx(a: Series, b: any): void;
    seriesPointerDown: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    vu(a: Series, b: any): void;
    seriesPointerUp: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    vy(a: Series, b: any): void;
    calloutStyleUpdating: (sender: any, args: CalloutStyleUpdatingEventArgs) => void;
    vp(a: any, b: CalloutStyleUpdatingEventArgs): void;
    calloutRenderStyleUpdating: (sender: any, args: CalloutRenderStyleUpdatingEventArgs) => void;
    vo(a: any, b: CalloutRenderStyleUpdatingEventArgs): void;
    selectedSeriesItemsChanged: (sender: any, e: SeriesViewerSelectedSeriesItemsChangedEventArgs) => void;
    vs(a: any, b: SeriesViewerSelectedSeriesItemsChangedEventArgs): void;
    focusedSeriesItemsChanged: (sender: any, e: SeriesViewerSelectedSeriesItemsChangedEventArgs) => void;
    vq(a: any, b: SeriesViewerSelectedSeriesItemsChangedEventArgs): void;
    private hp;
    vm(a: () => void): void;
    private fd;
    vn(a: () => void, b: boolean): {
        p1?: boolean;
    };
    protected get_g7(): boolean;
    protected get g7(): boolean;
    protected um(a: XamDataChart, b: any): void;
    protected ag(a: BrushCollection): BrushCollection;
    protected x4(a: Brush): Brush;
    protected us(a: Series, b: number): void;
    protected abstract t3(): void;
    protected get gb(): boolean;
    private fg;
    protected t8(): void;
    protected uj(): void;
    protected v0(a: XamDataChart): void;
    protected ty(a: Series, b: number): void;
    protected abstract tx(a: Series, b: number): void;
    protected c0(a: Series, b: number): MarkerType;
    protected cz(a: Series): MarkerType;
    protected c1(a: Series): MarkerType;
    protected lv(): any;
    protected lu(): any;
    protected get_gz(): boolean;
    protected get gz(): boolean;
    protected hy(): IEnumerable;
    protected vf(a: string, b: any, c: any): void;
    private hh;
    private hk;
    private va;
    private tw;
    private tv;
    private vd;
    private vh;
    abstract get b9(): DomainType;
    private a0;
    private aw;
    private av;
    private eg;
    private eh;
    private a8;
    private eo;
    private ep;
    private az;
    private ay;
    private ax;
    private ej;
    private ei;
    private a7;
    get a6(): ChartSortDescriptionCollection;
    get a2(): ChartSortDescriptionCollection;
    get a1(): ChartSortDescriptionCollection;
    get ek(): FilterExpressionCollection;
    get el(): FilterExpressionCollection;
    get ba(): ChartSummaryDescriptionCollection;
    private dt;
    get dv(): SeriesSelectionMode;
    set dv(a: SeriesSelectionMode);
    private ds;
    get du(): SeriesSelectionMode;
    set du(a: SeriesSelectionMode);
    private w9;
    get x5(): Brush;
    set x5(a: Brush);
    private w6;
    get xx(): Brush;
    set xx(a: Brush);
    private dq;
    get dr(): SeriesSelectionBehavior;
    set dr(a: SeriesSelectionBehavior);
    private aq;
    get selectedSeriesItems(): ChartSelectedItemCollection;
    private ap;
    get focusedSeriesItems(): ChartSelectedItemCollection;
    get a5(): ChartSortDescriptionCollection;
    get a4(): ChartSortDescriptionCollection;
    get a3(): ChartSortDescriptionCollection;
    get em(): FilterExpressionCollection;
    get en(): FilterExpressionCollection;
    get a9(): ChartSummaryDescriptionCollection;
    private mj;
    get q7(): string;
    set q7(a: string);
    private mf;
    get qg(): string;
    set qg(a: string);
    private mh;
    get q3(): string;
    set q3(a: string);
    private mg;
    get q1(): string;
    set q1(a: string);
    private mi;
    get q5(): string;
    set q5(a: string);
    filterStringErrorsParsing: (sender: any, args: FilterStringErrorsParsingEventArgs) => void;
    private mk;
    get q9(): string;
    set q9(a: string);
    private lj;
    get itemsSource(): any;
    set itemsSource(a: any);
    private lh;
    get actualItemsSource(): any;
    set actualItemsSource(a: any);
    private li;
    get highlightedItemsSource(): any;
    set highlightedItemsSource(a: any);
    private lg;
    get actualHighlightedItemsSource(): any;
    set actualHighlightedItemsSource(a: any);
    private h;
    get q(): string[];
    set q(a: string[]);
    private g;
    get o(): string[];
    set o(a: string[]);
    private t;
    get ab(): BrushCollection;
    set ab(a: BrushCollection);
    private w;
    get af(): BrushCollection;
    set af(a: BrushCollection);
    private r;
    get z(): BrushCollection;
    set z(a: BrushCollection);
    private s;
    get aa(): BrushCollection;
    set aa(a: BrushCollection);
    private cd;
    get legend(): IChartLegend;
    set legend(a: IChartLegend);
    private fz;
    protected get_g0(): boolean;
    protected set_g0(a: boolean): void;
    get g0(): boolean;
    set g0(a: boolean);
    private f2;
    protected get_g8(): boolean;
    protected set_g8(a: boolean): void;
    get g8(): boolean;
    set g8(a: boolean);
    private f4;
    protected get_hb(): boolean;
    protected set_hb(a: boolean): void;
    get hb(): boolean;
    set hb(a: boolean);
    private f6;
    protected get_he(): boolean;
    protected set_he(a: boolean): void;
    get he(): boolean;
    set he(a: boolean);
    private dd;
    protected get_de(): SeriesHighlightedValuesDisplayMode;
    protected set_de(a: SeriesHighlightedValuesDisplayMode): void;
    get de(): SeriesHighlightedValuesDisplayMode;
    set de(a: SeriesHighlightedValuesDisplayMode);
    private f1;
    protected get_g3(): boolean;
    protected set_g3(a: boolean): void;
    get g3(): boolean;
    set g3(a: boolean);
    private y2;
    protected get_y3(): Visibility;
    protected set_y3(a: Visibility): void;
    get y3(): Visibility;
    set y3(a: Visibility);
    private yb;
    get yd(): Rect;
    set yd(a: Rect);
    get yc(): Rect;
    private mn;
    get sn(): string;
    set sn(a: string);
    private ml;
    get sc(): string;
    set sc(a: string);
    private wk;
    get wm(): HorizontalAlignment;
    set wm(a: HorizontalAlignment);
    private wj;
    get wl(): HorizontalAlignment;
    set wl(a: HorizontalAlignment);
    private ea;
    get eb(): UnknownValuePlotting;
    set eb(a: UnknownValuePlotting);
    private io;
    protected get_j0(): number;
    protected set_j0(a: number): void;
    get j0(): number;
    set j0(a: number);
    private iu;
    get j6(): number;
    set j6(a: number);
    private dj;
    get dk(): SeriesOutlineMode;
    set dk(a: SeriesOutlineMode);
    private cw;
    get cx(): MarkerOutlineMode;
    set cx(a: MarkerOutlineMode);
    private cu;
    get cv(): MarkerFillMode;
    set cv(a: MarkerFillMode);
    private ig;
    get jt(): number;
    set jt(a: number);
    private ih;
    get ju(): number;
    set ju(a: number);
    private c2;
    get c3(): MarkerTypeCollection;
    set c3(a: MarkerTypeCollection);
    private cs;
    get ct(): MarkerAutomaticBehavior;
    set ct(a: MarkerAutomaticBehavior);
    private u;
    get ad(): BrushCollection;
    set ad(a: BrushCollection);
    private v;
    get ae(): BrushCollection;
    set ae(a: BrushCollection);
    private kz;
    get lc(): number;
    set lc(a: number);
    private hz;
    get jd(): number;
    set jd(a: number);
    private ff;
    get ga(): boolean;
    set ga(a: boolean);
    private x;
    get ah(): BrushCollection;
    set ah(a: BrushCollection);
    private d8;
    get d9(): TrendLineType;
    set d9(a: TrendLineType);
    private i0;
    get kc(): number;
    set kc(a: number);
    private fe;
    get f9(): boolean;
    set f9(a: boolean);
    private ik;
    get jx(): number;
    set jx(a: number);
    private im;
    get jz(): number;
    set jz(a: number);
    private il;
    get jy(): number;
    set jy(a: number);
    private ij;
    get jw(): number;
    set jw(a: number);
    protected ve(): void;
    private bb;
    get bc(): ComputedPlotAreaMarginMode;
    set bc(a: ComputedPlotAreaMarginMode);
    protected bd(): ComputedPlotAreaMarginMode;
    private dl;
    get dm(): SeriesPlotAreaMarginHorizontalMode;
    set dm(a: SeriesPlotAreaMarginHorizontalMode);
    private dn;
    get dp(): SeriesPlotAreaMarginVerticalMode;
    set dp(a: SeriesPlotAreaMarginVerticalMode);
    private dh;
    get di(): SeriesHighlightingMode;
    set di(a: SeriesHighlightingMode);
    private df;
    get dg(): SeriesHighlightingBehavior;
    set dg(a: SeriesHighlightingBehavior);
    private ck;
    get cl(): LegendHighlightingMode;
    set cl(a: LegendHighlightingMode);
    private cp;
    get cr(): LegendItemBadgeShape;
    set cr(a: LegendItemBadgeShape);
    private cm;
    get cn(): LegendItemBadgeMode;
    set cn(a: LegendItemBadgeMode);
    private k3;
    get lf(): number;
    set lf(a: number);
    private d6;
    get d7(): ToolTipType;
    set d7(a: ToolTipType);
    private be;
    get bf(): CrosshairsDisplayMode;
    set bf(a: CrosshairsDisplayMode);
    private fo;
    get gj(): boolean;
    set gj(a: boolean);
    private wt;
    get xk(): Brush;
    set xk(a: Brush);
    private h2;
    get jg(): number;
    set jg(a: number);
    private ws;
    get xj(): Brush;
    set xj(a: Brush);
    private fn;
    get gi(): boolean;
    set gi(a: boolean);
    private wo;
    get xf(): Brush;
    set xf(a: Brush);
    private wq;
    get xh(): Brush;
    set xh(a: Brush);
    private wp;
    get xg(): Brush;
    set xg(a: Brush);
    private wr;
    get xi(): Brush;
    set xi(a: Brush);
    private ks;
    get k5(): number;
    set k5(a: number);
    private kt;
    get k6(): number;
    set k6(a: number);
    private f3;
    get ha(): boolean;
    set ha(a: boolean);
    private f5;
    get hc(): boolean;
    set hc(a: boolean);
    private fv;
    get gq(): boolean;
    set gq(a: boolean);
    private w4;
    get xv(): Brush;
    set xv(a: Brush);
    private w5;
    get xw(): Brush;
    set xw(a: Brush);
    private kw;
    get k9(): number;
    set k9(a: number);
    private fh;
    get gc(): boolean;
    set gc(a: boolean);
    private fm;
    get gh(): boolean;
    set gh(a: boolean);
    private fi;
    get gd(): boolean;
    set gd(a: boolean);
    private f7;
    get hf(): boolean;
    set hf(a: boolean);
    private aj;
    get ak(): CalloutCollisionMode;
    set ak(a: CalloutCollisionMode);
    private fk;
    get gf(): boolean;
    set gf(a: boolean);
    private fl;
    get gg(): boolean;
    set gg(a: boolean);
    private fj;
    get ge(): boolean;
    set ge(a: boolean);
    private h1;
    get jf(): number;
    set jf(a: number);
    private wn;
    get xe(): Brush;
    set xe(a: Brush);
    private kr;
    get k4(): number;
    set k4(a: number);
    private hu;
    get calloutsItemsSource(): IEnumerable;
    set calloutsItemsSource(a: IEnumerable);
    private al;
    get am(): CalloutPlacementPositionsCollection;
    set am(a: CalloutPlacementPositionsCollection);
    private l3;
    get ne(): string;
    set ne(a: string);
    private l4;
    get ng(): string;
    set ng(a: string);
    private l2;
    get m6(): string;
    set m6(a: string);
    private l1;
    get m3(): string;
    set m3(a: string);
    private ec;
    get ed(): ValueModeCollection;
    set ed(a: ValueModeCollection);
    private y;
    get ai(): BrushCollection;
    set ai(a: BrushCollection);
    private i1;
    get kd(): number;
    set kd(a: number);
    get d0(): SeriesViewerScrollbarMode;
    set d0(a: SeriesViewerScrollbarMode);
    private dy;
    get d1(): SeriesViewerScrollbarMode;
    set d1(a: SeriesViewerScrollbarMode);
    private dz;
    get dx(): SeriesViewerHorizontalScrollbarPosition;
    set dx(a: SeriesViewerHorizontalScrollbarPosition);
    private dw;
    get d5(): SeriesViewerVerticalScrollbarPosition;
    set d5(a: SeriesViewerVerticalScrollbarPosition);
    private d4;
    get x2(): Brush;
    set x2(a: Brush);
    private w7;
    get x3(): Brush;
    set x3(a: Brush);
    private w8;
    get jp(): number;
    set jp(a: number);
    private ib;
    get jo(): number;
    set jo(a: number);
    private ia;
    get jl(): number;
    set jl(a: number);
    private h7;
    get jm(): number;
    set jm(a: number);
    private h8;
    get jn(): number;
    set jn(a: number);
    private h9;
    get jr(): number;
    set jr(a: number);
    private id;
    get jq(): number;
    set jq(a: number);
    private ic;
    get gt(): boolean;
    set gt(a: boolean);
    private fw;
    static readonly qw: string;
    get x8(): Brush;
    set x8(a: Brush);
    private xc;
    get x9(): Brush;
    set x9(a: Brush);
    private xd;
    get kh(): number;
    set kh(a: number);
    private i5;
    get kg(): number;
    set kg(a: number);
    private i4;
    get ke(): number;
    set ke(a: number);
    private i2;
    get kk(): number;
    set kk(a: number);
    private i8;
    get kf(): number;
    set kf(a: number);
    private i3;
    get kj(): number;
    set kj(a: number);
    private i7;
    get ki(): number;
    set ki(a: number);
    private i6;
    get hg(): boolean;
    set hg(a: boolean);
    private f8;
    static readonly tk: string;
    get km(): number;
    set km(a: number);
    private ja;
    get kl(): number;
    set kl(a: number);
    private i9;
    get ko(): number;
    set ko(a: number);
    private jc;
    get kn(): number;
    set kn(a: number);
    private jb;
}
/**
 * @hidden
 */
export interface IDomainChartToolbarProvider {
    container: any;
    commandChanged: (arg1: ToolCommandStateChanged) => void;
    getDesiredToolbarActions(a: DomainChart, b: ToolActionInfo[]): ToolActionInfo[];
    onToolCommandExecuting(a: DomainChart, b: ToolCommand): ToolCommandExecutionState;
    onTargetPropertyChanged(a: DomainChart, b: string, c: any, d: any): void;
}
/**
 * @hidden
 */
export declare let IDomainChartToolbarProvider_$type: Type;
